AOWP_PHPEqualExprElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPEqualExprElement
/parser/ast/PHPEqualExprElement.class.php at line 19

# Class AOWP_PHPEqualExprElement

    AOWP_PHPElement
        └─AOWP_PHPEqualExprElement

public class AOWP_PHPEqualExprElement
extends AOWP_PHPElement

PHPEqualExprElement PHPのASTにおける「代入式」を表すクラス。 文法規則: unticked_statement。

Author:
  Ryoto Naruse /

Field Summary
AOWP_PHPElement | $expr 右辺を表すフィールド。 $v = $obj->m(); 等の場合、{@link AOWP_PHPObjectOperatorElement}のインスタンスが設定される。 $v = 'Taro'; 等の場合、{@link AOWP_PHPScalarExprElement}のインスタンスが設定される。 $v = $v2; 等の場合、{@link AOWP_PHPVaribleElement}のインスタンスが設定される。
string | $operatorName 式の符号を表すフィールド。
AOWP_PHPVariableElement | $variable 左辺の変数を表すフィールド。 型については、要調査。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPEqualExprElement(mixed _lineOrVariableName, AOWP_PHPElement variableOrExprElement, mixed operatorName, mixed expr, $expr ) 引き数が2個の場合、第１引数が 左辺の変数名を表す文字列で、 第2引数が、右辺を表す {@link AOWP_PHPObjectOperatorElement}、 {@link AOWP_PHPScalarExprElement}、{@link AOWP_PHPVaribleElement}、 のいずれかのASTインスタンス。

Method Summary
void | __toString()
void | getLeftVarialeName()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPEqualExprElement.class.php at line 53

### expr

`public AOWP_PHPElement $expr`

右辺を表すフィールド。 `$v = $obj->m();` 等の場合、`AOWP_PHPObjectOperatorElement`のインスタンスが設定される。 `$v = 'Taro';` 等の場合、`AOWP_PHPScalarExprElement`のインスタンスが設定される。 `$v = $v2;` 等の場合、`AOWP_PHPVaribleElement`のインスタンスが設定される。

/parser/ast/PHPEqualExprElement.class.php at line 34

### operatorName

`public string $operatorName`

式の符号を表すフィールド。

/parser/ast/PHPEqualExprElement.class.php at line 27

### variable

`public AOWP_PHPVariableElement $variable`

左辺の変数を表すフィールド。 型については、要調査。

## Constructor Detail

/parser/ast/PHPEqualExprElement.class.php at line 67

### AOWP_PHPEqualExprElement

`public AOWP_PHPEqualExprElement(mixed _lineOrVariableName, AOWP_PHPElement variableOrExprElement, mixed operatorName, mixed expr, $expr )`

引き数が2個の場合、第１引数が 左辺の変数名を表す文字列で、 第2引数が、右辺を表す `AOWP_PHPObjectOperatorElement`、 `AOWP_PHPScalarExprElement`、`AOWP_PHPVaribleElement`、 のいずれかのASTインスタンス。

Parameters:
  _lineOrVariableName - string or int

## Method Detail

/parser/ast/PHPEqualExprElement.class.php at line 87

### __toString

`public void __toString()`

/parser/ast/PHPEqualExprElement.class.php at line 81

### getLeftVarialeName

`public void getLeftVarialeName()`

/parser/ast/PHPEqualExprElement.class.php at line 91

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr